
Summary: lightweight taskbar
Name: tint2
Version: 17.0
Release: %mkrel 1
Source: http://code.google.com/p/tint2/downloads/list/%{name}-v%{version}.tar.xz
Source1: tintwizard.desktop
License: GPLv2+
Group: System/X11
URL: http://code.google.com/p/tint2/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires: gtk2-devel 
BuildRequires: libimlib2-devel
BuildRequires: libcairo-devel
BuildRequires: libxinerama1-devel
BuildRequires: glib2-devel
BuildRequires: libx11_6-devel
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64startup-notification-1-devel
Obsoletes:  %name < %version
Requires:	pygtk2.0

%description
Tint is a simple panel/taskbar intentionally made for openbox3, but should
also work with other window managers. The taskbar includes transparency and
color settings for the font, icons, border, and background. It also supports
multihead setups, customized mouse actions, and a built-in clock. Tint was
originally based on ttm code.

%package doc
Summary:	tint2 doc files
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains doc files.


%prep
%setup -qn %{name}-v%{version}
%apply_patches

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/tintwizard.desktop

#fix menu files
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang tint2conf
 
%files -f tint2conf.lang
%{_sysconfdir}/xdg/tint2/tint2rc
%{_bindir}/tint2*
%{_datadir}/tint2
%{_mandir}/man1/*
%{_datadir}/applications
%{_datadir}/icons/hicolor
%{_datadir}/mime/packages/tint2conf.xml

%files doc
%{_datadir}/doc/tint2/*


%changelog
* Sat May 01 2021 tex - 17.0-1pclos2021
- new version

* Tue Sep 01 2020 tex - 16.7-2pclos2020
- rebuild against updates

* Sun Jul 21 2019 tex - 16.7-1pclos2019
- new version

* Thu May 23 2019 tex - 0.12.12-2pclos2019
- rebuild against updates

* Fri Feb 10 2017 bb <bb> 0.12.12-1pclos2017
- new version

* Wed Dec 25 2013 bb <bb> 0.11-2pclos2013
- add powernow patch
- add desktop file for tintwizard
- add req. pygtk2.0
- fix menu files


